Page MenuHomePhabricator

Implement additional instrumentation for Edit Cards v2
Closed, ResolvedPublic

Description

Overview

We instrumented context items and their related workflows in T221252.

This task is about instrumenting the new functionality we are introducing with Edit Cards v2.

Additional instrumentation

  • The edit link label button is tapped in the "link" context item
  • The close "X" button is tapped in the "link" context item

"Done"

  • The actions/events listed in the "Additional instrumentation" section above have been implemented.

Event Timeline

ppelberg created this task.May 2 2019, 8:28 PM
ppelberg renamed this task from Define event logging needs within the *revised* adding/modifying links workflow to Implement additional instrumentation for Edit Cards v2.Jul 19 2019, 10:30 PM
ppelberg claimed this task.
ppelberg removed a project: Product-Analytics.
ppelberg updated the task description. (Show Details)

Change 525139 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Track usage of the new "close context" button

https://gerrit.wikimedia.org/r/525139

ppelberg reassigned this task from ppelberg to Esanders.Jul 24 2019, 5:26 AM
ppelberg updated the task description. (Show Details)

Change 525139 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Track usage of the new "close context" button

https://gerrit.wikimedia.org/r/525139

Change 520914 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (7cb9caca1)

https://gerrit.wikimedia.org/r/520914

Change 520914 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (7cb9caca1)

https://gerrit.wikimedia.org/r/520914

matmarex added a subscriber: matmarex.

The edit link label button is tapped in the "link" context item

This has already been done by David as part of the v1 work, in https://gerrit.wikimedia.org/r/c/VisualEditor/VisualEditor/+/518757

The close "X" button is tapped in the "link" context item

Now done in https://gerrit.wikimedia.org/r/c/VisualEditor/VisualEditor/+/525139

The edit link label button is tapped in the "link" context item

This has already been done by David as part of the v1 work, in https://gerrit.wikimedia.org/r/c/VisualEditor/VisualEditor/+/518757

The close "X" button is tapped in the "link" context item

Now done in https://gerrit.wikimedia.org/r/c/VisualEditor/VisualEditor/+/525139

Thank you for clarifying, @matmarex. This information is now reflected in the task description of: T227354

ppelberg closed this task as Resolved.Sep 3 2019, 1:41 AM